Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04345 Sound Major Always May 9, 2011, 03:33 Oct 10, 2011, 11:56
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Mamesick Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver m92.cpp
Version 0.142u3 Fixed in Version 0.143u7 Build Normal
Summary 04345: nbbatman, ssoldier and clones: Sounds freezes or halts after a time
Description nbbatman - usually loses sound after a credit is entered and you start.
ssoldier - typically lose sound during your first match against cpu
Steps To Reproduce
Additional Information
Flags
Regression Version 0.142u3
Affected Sets / Systems nbbatman, ssoldier and clones
Attached Files
 
Relationships
related to 04590ResolvedAWJ firebarr: Music randomly blocks on the last sound and plays it forever 
related to 00503Resolved dsoccr94: There are many sound glitches in this game. 
Notes
3
User avatar
No.07471
Tafoid
Administrator
May 27, 2011, 01:41
Breakage between r12448-r12463 - likely r12453
User avatar
No.07823
Mamesick
Senior Tester
Oct 9, 2011, 08:52
edited on: Oct 9, 2011, 14:38
This change fixes nbbatman and ssoldiers (but for this last one, since the bug seems quite random... I'd like to have a confirmation)
Replace the function in m92.c:
static READ16_HANDLER( m92_soundlatch_r )
{
	cputag_set_input_line(space->machine(), "soundcpu", NEC_INPUT_LINE_INTP1, CLEAR_LINE);
	return soundlatch_r(space, offset) | 0xff00;
}
Note that this is for 0.143 source, I don't know if something must be changed for the next updates. Sorry but I have no time to update my tree to latest 0.143u6 at the moment.
Feel free to update and submit to the SVN
P.S. : On an emulation side note, the CLEAR_LINE is needed because it seems there is a lot of lost soundlatches in these games. Hopefully I haven't broke anything else.

EDIT: Submitted to the official source.
User avatar
No.07824
hap
Developer
Oct 10, 2011, 11:56
thanks